Apache Struts API Documentation: Class SetTopRule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.digester
Class SetTopRule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule
            |
            +--org.apache.struts.digester.SetTopRule

public class SetTopRule
extends Rule

Rule implementation that calls a method on the top (parent) object, passing the (top-1) (child) object as an argument.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig McClanahan

Field Summary
`protected java.lang.String` | `methodName` The method name to call on the parent object.
`protected java.lang.String` | `paramType` The Java class name of the parameter type expected by the method.

Fields inherited from class org.apache.struts.digester.Rule
`digester`

Constructor Summary
`SetTopRule(Digester digester, java.lang.String methodName)` Construct a "set parent" rule with the specified method name.
`SetTopRule(Digester digester, java.lang.String methodName, java.lang.String paramType)` Construct a "set parent" rule with the specified method name.

Method Summary
`void` | `end()` Process the end of this element.
`void` | `finish()` Clean up after parsing is complete.

Methods inherited from class org.apache.struts.digester.Rule
`begin, body`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### methodName

    protected java.lang.String methodName

  The method name to call on the parent object.

### paramType

    protected java.lang.String paramType

  The Java class name of the parameter type expected by the method.

Constructor Detail

### SetTopRule

    public SetTopRule(Digester digester,
                      java.lang.String methodName)

  Construct a "set parent" rule with the specified method name. The parent method's argument type is assumed to be the class of the child object.
  Parameters:
    `digester` - The associated Digester
    `methodName` - Method name of the parent method to call

### SetTopRule

    public SetTopRule(Digester digester,
                      java.lang.String methodName,
                      java.lang.String paramType)

  Construct a "set parent" rule with the specified method name.
  Parameters:
    `digester` - The associated Digester
    `methodName` - Method name of the parent method to call
    `paramType` - Java class of the parent method's argument (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean` for a `boolean` parameter)

Method Detail

### end

    public void end()
             throws java.lang.Exception

  Process the end of this element.
  Overrides:
    `end` in class `Rule`

### finish

    public void finish()
                throws java.lang.Exception

  Clean up after parsing is complete.
  Overrides:
    `finish` in class `Rule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation